/**
 * 由于iview Input-number组件无法输入情况输入 因此引入此指令来解决这个问题
 */
export default {
  name: 'inempty',
  directive: (el, binding, { componentInstance }) => {
    el.addEventListener('input', (ev) => {
      if (ev.target.value.trim() === '' && componentInstance) {
        componentInstance.currentValue = null;
        componentInstance.setValue(null);
      }
    });
  }
};
