// Karma configuration
// Generated on Fri May 12 2017 22:32:50 GMT+0800 (中国标准时间)
const webpackConfig = require('./build/webpack.config.test');
module.exports = function (config) {
  config.set({
    frameworks: ['jasmine'],
    files: [
      './tests/unit/index.js'
    ],
    exclude: [
    ],
    preprocessors: {
      './tests/unit/index.js': ['webpack']
    },
    reporters: ['spec'],
    port: 9876,
    colors: true,
    logLevel: config.LOG_INFO,
    autoWatch: true,
    browsers: ['PhantomJS'],
    singleRun: false,
    concurrency: Infinity,
    webpack: webpackConfig,
    webpackMiddleware: {
      noInfo: true
    }
  })
}
