import drag from './drag';
import gridAutoSize from './grid-autosize';
import modalExt from './modal-ext';
import innerClass from './inner-class';
import inputNumberEmpty from './input-number-empty';

export default {
  install(Vue, options) {
    Vue.directive(drag.name, drag.directive);
    Vue.directive(gridAutoSize.name, gridAutoSize.directive);
    Vue.directive(modalExt.name, modalExt.directive);
    Vue.directive(innerClass.name, innerClass.directive);
    Vue.directive(inputNumberEmpty.name, inputNumberEmpty.directive);
  }
}
