import Vue from 'vue';
import VueRouter from 'vue-router';
import iView from 'iview';
import app from './app';
import routes from './routes';
import cptToolkit from '@/index';
import './app.less';

Vue.use(VueRouter);
Vue.use(iView);
Vue.use(cptToolkit);

window._vueInstance = new Vue({
  components: { app },
  el: '#app',
  template: '<app />',
  router: routes
});
