import Vue from 'vue';
import _ from 'lodash';

describe('components', () => {
  const components = [
    'complexTable',
    'imageView',
    'columnLayout',
    'pageLayout',
    'rowLayout',
    'cptStep',
    'render',
    'form-tab',
    'form-tab-pane',
    'cpt-panel',
    'cpt-signature',
    'cpt-modal'
  ];
  it('components', () => {
    expect(_.every(components, name => {
      return !!Vue.options.components[name];
    })).toBeTruthy();
  });
});
