import { mount } from 'avoriaz'

const Foo = {
  template: `<div><span id="r">{{model | get('name')}}</span><span id="r2">{{model1 | get('name')}}</span></div>`,
  data() {
    return {
      model: {
        name: 'wc'
      },
      model1: null
    }
  }
};
describe('filters:get', () => {
  const getHtml = id => wrapper.find('#' + id)[0].element.innerHTML;
  const wrapper = mount(Foo);
  it('lo.get', () => {
    expect(getHtml('r')).toEqual('wc')
    expect(getHtml('r2')).toEqual('')
  });
});
