import { mount } from 'avoriaz'

const Foo = {
  template: `<div><span id="r">{{data | lo('sum')}}</span>
  <span id="r2">{{data1 | lo('compact') | lo('join')}}</span></div>`,
  data() {
    return {
      data: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10],
      data1: [1, null, undefined, 2]
    }
  }
};
describe('filters:lo', () => {
  const getHtml = id => wrapper.find('#' + id)[0].element.innerHTML;
  const wrapper = mount(Foo);
  it('lo.sum', () => {
    expect(getHtml('r')).toEqual('55')
  });
  it('lo.sum', () => {
    expect(getHtml('r2')).toEqual('1,2')
  });
});
