import { mount } from 'avoriaz'

const Foo = {
  template: `<div><span id="r">{{date | moment('YYYY-MM-DD')}}</span></div>`,
  data() {
    return {
      date: new Date(2017, 10, 4)
    }
  }
};
describe('filters:moment', () => {
  const getHtml = id => wrapper.find('#' + id)[0].element.innerHTML;
  const wrapper = mount(Foo);
  it('moment', () => {
    expect(getHtml('r')).toEqual('2017-11-04')
  });
});
