import { mount } from 'avoriaz'

const Foo = {
  template: `<div><span id="r">{{num | round(2)}}</span>
  <span id="r1">{{num | round(3)}}</span>
  <span id="r2">{{num1 | round}}</span></div>`,
  data() {
    return {
      num: 1.83232,
      num1: null
    }
  }
};
describe('filters:round', () => {
  it('round', () => {
    const wrapper = mount(Foo);
    var getHtml = id => wrapper.find('#' + id)[0].element.innerHTML;
    expect(getHtml('r')).toEqual('1.83')
    expect(getHtml('r1')).toEqual('1.832')
    expect(getHtml('r2')).toEqual('')
  });
});
